$(document).ready(function() {
	
	/*
		Aleksey Skubaev

		askubaev@gmail.com
		icq - 322253350
		Разработка шаблонов для DLE и кроссбраузерная верстка
		------------------
		Необходимые jQuery скрипты.
	
	*/
	
	
	$('.scroll-up').click(function(){
		$('body,html').animate({
            scrollTop: 0
        }, 500);
        return false;
	});

	
	//Скользящая панель
	$(function(){
	  $(window).scroll(function() { 
	   var top = $(document).scrollTop();
	   if (top > 83) $('.navi-line').addClass('navi-line-fixed'); 
	   else $('.navi-line').removeClass('navi-line-fixed');
	  });
	 });
	 
	
	
	$('.head-block-content div:first').addClass('head-block-content-active');
	
	
	// Читаем куки
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	
	if($.cookie('activeContent')) {
		var activeContent = $.cookie('activeContent');
		$('.head-block-content div').removeClass('head-block-content-active');
		$('.head-block-content div').eq(activeContent).addClass('head-block-content-active');
	}
	
	if($.cookie('needClass')) {
		var needClass = $.cookie('needClass');
		$('.cibinews').attr('class', needClass);
	}
	
	if($.cookie('range')) {
		var range = $.cookie('range');
		$('#range').attr('value', range);
	}
	
	if($.cookie('range2')) {
		var range2 = $.cookie('range2');
		$('#range2').attr('value', range2);
	}
	
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	
	
	// Управлние контентом - внешний вид
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	
	$('.head-block-content div').click(function () {
		$('.head-block-content div').removeClass('head-block-content-active');
		$(this).addClass('head-block-content-active');
		
		/*записываем куки*/
		var activeContent = $('.head-block-content-active').index();
		$.cookie('activeContent', activeContent, {
			expires: 5
		});
	});
	
	// Размер блоков
	$("#range").change(function () {
		var currentWidth = $("#range").val();
		$('.cibinews').width(currentWidth);
		var $container = $('#dle-content');

		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
		
		/*записываем куки*/
		$.cookie('range', currentWidth, {
			expires: 5
		});
		
        })
        .change();
		
	// Размер шрифта
	$("#range2").change(function () {
		var currentFont = $("#range2").val();
		var currentLineHeight = currentFont*1.30;
		$('.cibinews').css({
			'font-size':''+currentFont+'px',
			'line-height':''+currentLineHeight+'px'
			});
		$('.cibinews').attr('font', currentFont);
		var $container = $('#dle-content');

		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
		
		/*записываем куки*/
		$.cookie('range2', currentFont, {
			expires: 5
		});
		
        })
        .change();
	
	$('.only-images').click(function(){
		$('.cibinews').removeClass('cibinews-mini-content');
		$('.cibinews').addClass('cibinews-only-images');
		var $container = $('#dle-content');
		
		/*записываем куки*/
		var needClass = $('.cibinews').attr('class');
		$.cookie('needClass', needClass, {
			expires: 5
		});

		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
	});
	
	$('.all-content').click(function(){
		$('.cibinews').removeClass('cibinews-only-images');
		$('.cibinews').removeClass('cibinews-mini-content');
		var $container = $('#dle-content');
		
		/*записываем куки*/
		var needClass = $('.cibinews').attr('class');
		$.cookie('needClass', needClass, {
			expires: 5
		});
		
		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
	});
	
	$('.mini-content').click(function(){
		$('.cibinews').removeClass('cibinews-only-images');
		$('.cibinews').addClass('cibinews-mini-content');
		var $container = $('#dle-content');
		
		/*записываем куки*/
		var needClass = $('.cibinews').attr('class');
		$.cookie('needClass', needClass, {
			expires: 5
		});
		
		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
	});
	
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	//////////////////////////////////////////////////////////////////////////////////////////
	
	// Пошла бесконечность
	var $container = $('#dle-content');
		
		$container.imagesLoaded(function(){
		  $container.masonry({
			itemSelector: '.cibinews',
			isResizable: true
		  });
		});
		
		$container.infinitescroll({
		  navSelector  : '.navigation',    // селектор контейнера для навигации по старинцам
		  nextSelector : '.navigation a',  // селектор для навигации  
		  itemSelector : '.cibinews',     // селектор блоков, к которым применяются эффекты  
		  donetext  : 'Больше нет страниц для загрузки!',
		  loadingText  : "Загрузка новостей",  
		  loadingImg : '', // изображение ajaxljader
		  debug: false, // выводит ошибки на консоль
		  errorCallback: function() { 
			// сообщение об ошибках исчеазет по истечении 2 секундной анимации
			$('#infscr-loading').animate({opacity: .8},4000).fadeOut('normal');   
		  }
		  },
		  // вызываем Masonry 
		  function( newElements ) {
			var $newElems = $( newElements );
			// запускаем эффекты только после полной загрузки изображений
			$newElems.imagesLoaded(function(){
			  $container.masonry( 'appended', $newElems, true ); 
			});
			
			
			var needClass = $('.cibinews:first').attr('class');
			var currentFont = $('.cibinews:first').attr('font');
			var currentLineHeight = currentFont*1.30;
			var needWidth = $('.cibinews:first').width();
			$container.imagesLoaded(function(){
			  $container.masonry({
				itemSelector: '.cibinews',
				isResizable: true
			  });
			});
			
			$('.cibinews').attr('class', needClass);
			$('.cibinews').width(needWidth);
			$('.cibinews').css({
			'font-size':''+currentFont+'px',
			'line-height':''+currentLineHeight+'px'
			});
		  }
		);
		
	$('.head-more-link').click(function(){
		$('.head-more-block').slideToggle(0);
	});
	
	$('.plus').click(function(){
		$('.navi-line').toggleClass('navi-line2');
	});

});
